unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  TAGraph, TASeries, TASources;

type
  
  { TForm1 }

  TForm1 = class(TForm)
    Chart1: TChart;
    Chart1BarSeries1: TBarSeries;
    ListChartSource1: TListChartSource;
    Panel1: TPanel;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Change(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  TAChartUtils;

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Datenwerte 
  Chart1BarSeries1.AddXY(1, 10.3);
  Chart1BarSeries1.AddXY(2, 20.1);
  Chart1BarSeries1.AddXY(3,  5.7);
  
  // Die Achsenbeschriftung in eine eigenen ListChartSource
  ListChartSource1.Add(1, 1, 'Fall A');      // X und Y müssen denselben Wert haben wie das X in der Series
  ListChartSource1.Add(2, 2, 'Fall B');
  ListChartSource1.Add(3, 3, 'Fall C');
  Chart1.BottomAxis.Marks.Source := ListChartSource1;
  Chart1.BottomAxis.Marks.Style := smsLabel;
  
  // Sonstiges
  RadioButton1.Checked := true;
end;

procedure TForm1.RadioButton1Change(Sender: TObject);
begin
  if Sender = Radiobutton1 then   
  begin
    // Vertikale Säulen
    Chart1BarSeries1.AxisIndexX := Chart1.BottomAxis.Index;
    Chart1BarSeries1.AxisIndexY := Chart1.LeftAxis.Index;
    Chart1.BottomAxis.Marks.Source := ListChartSource1;
    Chart1.BottomAxis.Marks.Style := smsLabel;
    Chart1.BottomAxis.Title.Caption := 'Tests';
    Chart1.LeftAxis.Marks.Style := smsValue;
    Chart1.LeftAxis.Marks.Source := nil;
    Chart1.LeftAxis.Title.Caption := 'Ergebnisse';
  end;
  if Sender = RadioButton2 then
  begin                           
    // Horizontale Balken
    Chart1BarSeries1.AxisIndexX := Chart1.LeftAxis.Index;
    Chart1BarSeries1.AxisIndexY := Chart1.BottomAxis.Index;
    Chart1.LeftAxis.Marks.Source := ListChartSource1;
    Chart1.LeftAxis.Marks.Style := smsLabel;
    Chart1.LeftAxis.Title.Caption := 'Tests';
    Chart1.BottomAxis.Marks.Style := smsValue;
    Chart1.BottomAxis.Marks.Source := nil;
    Chart1.BottomAxis.Title.Caption := 'Ergebnisse';
  end;
end;

end.

